<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once THEME."functions.php";
require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

add_handler("theme_output");

function render_page($license = false) {
	
	global $settings, $main_style, $locale, $mysql_queries_time;

	//Header
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-footer-top'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-footer-left'></td>\n";
if ($settings['rendertime_enabled'] == 1 || ($settings['rendertime_enabled'] == 2 && iADMIN)) {
	echo "<td class='sub-footer'>".showrendertime()."<br />".showcounter()."</td>\n";
  } else {
	echo "<td class='sub-footer'>".showcounter()."</td>\n";
  }
	echo "<td align='right' class='sub-footer'>".showsubdate()."</td>\n";
	echo "<td class='sub-footer-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' style='width: 50%' class='main-footer'>\n";
	if (!$license) { echo showcopyright(); }
	echo "<br />Theme designed by <a href='http://www.agxthemes.com'>Falcon</a></td>\n";
	echo "<td valign='top' align='right' style='width: 50%' class='main-footer'>".stripslashes($settings['footer'])."</td>\n";
	echo "</tr>\n</table>\n";

}


function render_comments($c_data, $c_info){
	global $locale, $userdata;
	//opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
		
			foreach($c_data as $data) {
			
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='commain'>\n";
			
			echo "<div class='tbl2'>\n";
			if ($data['edit_dell'] !== FALSE) { 
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
			
	echo "</td>\n";
	echo "</tr>\n<table>\n<br />\n";
			
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	//closetable();   
}

/*function render_comments($c_data, $c_info){
	global $locale;
	//openside($locale['c100'], true, "off");
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='comtitle'>".$locale['c100']."</td>\n";
	echo "</tr>\n<table>\n";
	
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='commain'>\n";
	
	echo "<table class='tbl2' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td style='float:right'>\n";
if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) {
	echo "<span class='comment-avatar'>\n<img src='".IMAGES."avatars/".$data['user_avatar']."' width='30px' height='30px' alt='".$locale['567']."' />\n</span>\n";
  } else {
	echo "<span class='comment-avatar'>\n<img src='".IMAGES."avatars/noavatar50.png' width='40px' height='40px' alt='".$locale['567']."' />\n</span>\n";
  }
  
	echo "</td>\n<td style='valign:top; padding-left:5px'>\n";
	echo "<span class='comment-name'>".$data['comment_name']."</span><br />\n";
	echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
if ($data['edit_dell'] !== FALSE) { 
	echo "<br />\n<span class='comment_actions'>".$data['edit_dell']."\n</span>\n";
  }
  
    echo "</td>\n";
	echo "<td style='float:right'><a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a></td>\n";
	echo "</tr>\n<table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='tbl1 comment_message'>".$data['comment_message']."</td>\n";
	echo "</tr>\n<table>\n";
	
	echo "</td>\n";
	echo "</tr>\n<table>\n<br />\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	//closeside();   
}*/

function render_news($subject, $news, $info) {
global $locale, $settings;

set_image("edit", THEME."images/icons/news_edit.png");

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-top'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='capmain-news'>".$subject."</td>\n";
	//echo "<td class='capmain-news'>".itemoptions("N",$info['news_id'])."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='news_info middle-border'>\n";
	
	echo "<ul>\n";
	echo "<li class='print'><a href='print.php?type=N&amp;item_id=151'><span>Imprima</span></a></li>\n";
	echo "<li class='date'>".showdate("%d %b %Y", $info['news_date'])."</li>\n";
	echo "<li class='author'>".profile_link($info['user_id'], $info['user_name'], $info['user_status'])."</li>\n";
	echo "<li class='reads'>\n";
if ($info['news_ext'] == "y" || ($info['news_allow_comments'] && $settings['comments_enabled'] == "1")) { echo $info['news_reads'].$locale['global_074']; }
	echo "</li>\n";
	echo "<li class='comments'>\n";
if ($info['news_allow_comments'] && $settings['comments_enabled'] == "1") { echo "<a href='news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a>\n"; }
	echo "</li>\n";
	echo "</ul>\n";
	
    echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='main-body middle-border'>".$info['cat_image'].$news."</td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {

set_image("edit", THEME."images/icons/article_edit.png");
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-top'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='capmain-articles'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}


function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-top'></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
if (ADMIN.FUSION_SELF == ADMIN."index.php") {
	echo "<td class='capmain-articles'>".$title."</td>\n";
} else {
	echo "<td class='capmain'>".$title."</td>\n";
}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-top'></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>".$title."</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>